SynapSynapDocs
Hub REST API

Workflows

The Workflows operations of the Hub REST API (2 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/workflows/{kind}/{id}/place

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

kind*string
Value in"automation""playbook"
id*string

Response Body

Workflow place

response?unknownapplication/json
Example Request
curl -X GET 'https://pod.example.com/api/hub/workflows/automation/string/place'
Example Response
null
GET
/workflows/{kind}/{id}/feed

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

kind*string
Value in"automation""playbook"
id*string

Query Parameters

cursor?string
limit?number
Range1 <= value <= 100

Response Body

Workflow event feed

response?unknownapplication/json
Example Request
curl -X GET 'https://pod.example.com/api/hub/workflows/automation/string/feed'
Example Response
null